> ## Documentation Index
> Fetch the complete documentation index at: https://funnelfox.com/docs/llms.txt
> Use this file to discover all available pages before exploring further.

# List profiles



## OpenAPI

````yaml /swagger/openapi.json get /profiles
openapi: 3.0.0
info:
  title: Public API
  version: 1.0.0
servers:
  - url: https://api.funnelfox.io/public/v1
security: []
paths:
  /profiles:
    get:
      summary: List profiles
      operationId: ProfilesList
      parameters:
        - in: header
          name: Fox-Secret
          required: true
          description: Project Secret Key
          schema:
            type: string
            example: secret_
        - in: query
          name: limit
          required: false
          description: Maximum number of items to return
          schema:
            type: integer
            minimum: 1
            maximum: 500
            default: 20
        - in: query
          name: cursor
          required: false
          description: Cursor for pagination
          schema:
            type: string
        - in: query
          name: filter[email]
          x-go-name: EmailPrefix
          required: false
          description: Filter by email (partial match)
          schema:
            type: string
        - in: query
          name: filter[funnel_id]
          x-go-name: FunnelID
          required: false
          description: Filter by Funnel ID
          schema:
            type: string
      responses:
        '200':
          description: Profiles list
          content:
            application/json:
              schema:
                type: object
                required:
                  - data
                  - pagination
                properties:
                  data:
                    type: array
                    items:
                      type: object
                      required:
                        - id
                        - created_at
                        - preview
                      properties:
                        id:
                          type: string
                          x-go-name: ID
                        created_at:
                          type: string
                          format: date-time
                        email:
                          type: string
                        preview:
                          type: boolean
                        country:
                          type: string
                        funnel_id:
                          type: string
                          x-go-name: FunnelID
                  pagination:
                    type: object
                    required:
                      - has_more
                    properties:
                      total:
                        type: integer
                        description: Total count of items
                      has_more:
                        type: boolean
                        description: Whether there are more items available
                      next_cursor:
                        type: string
                        description: Cursor for next page
        '400':
          description: Request error
          content:
            application/json:
              schema:
                type: object
                required:
                  - message
                properties:
                  message:
                    type: string
        '401':
          description: Authentication error
          content:
            application/json:
              schema:
                type: object
                required:
                  - message
                properties:
                  message:
                    type: string

````